"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.universalOrder = void 0;
var arrangekeys_1 = __importDefault(require("arrangekeys"));
/** The desired universally consistent order for the package.json properties */
exports.universalOrder = [
    // metadata
    'title',
    'name',
    'version',
    'private',
    'license',
    'description',
    'homepage',
    'funding',
    'repository',
    'bugs',
    'keywords',
    'badges',
    // people: authorship
    'author',
    'maintainers',
    'contributors',
    // people: funding
    'funders',
    'sponsors',
    'donors',
    // compatibility
    'engines',
    'editions',
    'bin',
    'types',
    'type',
    'main',
    'node',
    'cjs',
    'mjs',
    'test',
    'exports',
    'deno',
    'browser',
    'module',
    'jspm',
    // deps
    'dependencies',
    'optionalDependencies',
    'devDependencies',
    'peerDependencies',
    // scripts
    'scripts',
    // configs
    'babel',
    'boundation',
    'eslintConfig',
    'prettier',
    'vercel',
];
/**
 * Arrange the properties of package.json data to a universally consistent order.
 * Known fields are arranged to their universally consistent order. Unknown fields are placed at the end with their order maintained.
 */
function arrangePackageData(packageData, order) {
    if (order === void 0) { order = exports.universalOrder; }
    return (0, arrangekeys_1.default)(packageData, order);
}
exports.default = arrangePackageData;
